curl
curl -sS -X POST "https://gateway.orbit/api/v1/nodes/7/excluded-projects/4" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"project_id": 123,
"project_slug": "<string>",
"node_id": 123,
"node_name": "<string>",
"development_instance_count": 123,
"already_exists": true
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"data": {
"project_id": 123,
"project_slug": "<string>",
"node_id": 123,
"node_name": "<string>",
"development_instance_count": 123,
"already_exists": true
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Nodes
node:excluded-project:add
Exclude a Project from development placement on an app-dev Node.
POST
/
api
/
v1
/
nodes
/
{node}
/
excluded-projects
/
{project}
curl
curl -sS -X POST "https://gateway.orbit/api/v1/nodes/7/excluded-projects/4" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"project_id": 123,
"project_slug": "<string>",
"node_id": 123,
"node_name": "<string>",
"development_instance_count": 123,
"already_exists": true
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"data": {
"project_id": 123,
"project_slug": "<string>",
"node_id": 123,
"node_name": "<string>",
"development_instance_count": 123,
"already_exists": true
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}